Make treeview refresh properly when adding nodes.
[straw/fork.git] / config.status
bloba798d97015097d27ac2b1f133ea51c1aef5e6184
1 #! /bin/sh
2 # Generated by configure.
3 # Run this file to recreate the current configuration.
4 # Compiler output produced by configure, useful for debugging
5 # configure, is in config.log if it exists.
7 debug=false
8 ac_cs_recheck=false
9 ac_cs_silent=false
10 SHELL=${CONFIG_SHELL-/bin/sh}
11 ## --------------------- ##
12 ## M4sh Initialization. ##
13 ## --------------------- ##
15 # Be more Bourne compatible
16 DUALCASE=1; export DUALCASE # for MKS sh
17 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
18 emulate sh
19 NULLCMD=:
20 # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
21 # is contrary to our usage. Disable this feature.
22 alias -g '${1+"$@"}'='"$@"'
23 setopt NO_GLOB_SUBST
24 else
25 case `(set -o) 2>/dev/null` in
26 *posix*) set -o posix ;;
27 esac
34 # PATH needs CR
35 # Avoid depending upon Character Ranges.
36 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
37 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
38 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
39 as_cr_digits='0123456789'
40 as_cr_alnum=$as_cr_Letters$as_cr_digits
42 # The user is always right.
43 if test "${PATH_SEPARATOR+set}" != set; then
44 echo "#! /bin/sh" >conf$$.sh
45 echo "exit 0" >>conf$$.sh
46 chmod +x conf$$.sh
47 if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
48 PATH_SEPARATOR=';'
49 else
50 PATH_SEPARATOR=:
52 rm -f conf$$.sh
55 # Support unset when possible.
56 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
57 as_unset=unset
58 else
59 as_unset=false
63 # IFS
64 # We need space, tab and new line, in precisely that order. Quoting is
65 # there to prevent editors from complaining about space-tab.
66 # (If _AS_PATH_WALK were called with IFS unset, it would disable word
67 # splitting by setting IFS to empty value.)
68 as_nl='
70 IFS=" "" $as_nl"
72 # Find who we are. Look in the path if we contain no directory separator.
73 case $0 in
74 *[\\/]* ) as_myself=$0 ;;
75 *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
76 for as_dir in $PATH
78 IFS=$as_save_IFS
79 test -z "$as_dir" && as_dir=.
80 test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
81 done
82 IFS=$as_save_IFS
85 esac
86 # We did not find ourselves, most probably we were run as `sh COMMAND'
87 # in which case we are not to be found in the path.
88 if test "x$as_myself" = x; then
89 as_myself=$0
91 if test ! -f "$as_myself"; then
92 echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
93 { (exit 1); exit 1; }
96 # Work around bugs in pre-3.0 UWIN ksh.
97 for as_var in ENV MAIL MAILPATH
98 do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
99 done
100 PS1='$ '
101 PS2='> '
102 PS4='+ '
104 # NLS nuisances.
105 for as_var in \
106 LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
107 LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
108 LC_TELEPHONE LC_TIME
110 if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
111 eval $as_var=C; export $as_var
112 else
113 ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
115 done
117 # Required to use basename.
118 if expr a : '\(a\)' >/dev/null 2>&1 &&
119 test "X`expr 00001 : '.*\(...\)'`" = X001; then
120 as_expr=expr
121 else
122 as_expr=false
125 if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
126 as_basename=basename
127 else
128 as_basename=false
132 # Name of the executable.
133 as_me=`$as_basename -- "$0" ||
134 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
135 X"$0" : 'X\(//\)$' \| \
136 X"$0" : 'X\(/\)' \| . 2>/dev/null ||
137 echo X/"$0" |
138 sed '/^.*\/\([^/][^/]*\)\/*$/{
139 s//\1/
142 /^X\/\(\/\/\)$/{
143 s//\1/
146 /^X\/\(\/\).*/{
147 s//\1/
150 s/.*/./; q'`
152 # CDPATH.
153 $as_unset CDPATH
157 as_lineno_1=$LINENO
158 as_lineno_2=$LINENO
159 test "x$as_lineno_1" != "x$as_lineno_2" &&
160 test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" || {
162 # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
163 # uniformly replaced by the line number. The first 'sed' inserts a
164 # line-number line after each line using $LINENO; the second 'sed'
165 # does the real work. The second script uses 'N' to pair each
166 # line-number line with the line containing $LINENO, and appends
167 # trailing '-' during substitution so that $LINENO is not a special
168 # case at line end.
169 # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
170 # scripts with optimization help from Paolo Bonzini. Blame Lee
171 # E. McMahon (1931-1989) for sed's syntax. :-)
172 sed -n '
174 /[$]LINENO/=
175 ' <$as_myself |
176 sed '
177 s/[$]LINENO.*/&-/
178 t lineno
180 :lineno
182 :loop
183 s/[$]LINENO\([^'$as_cr_alnum'_].*\n\)\(.*\)/\2\1\2/
184 t loop
185 s/-\n.*//
186 ' >$as_me.lineno &&
187 chmod +x "$as_me.lineno" ||
188 { echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
189 { (exit 1); exit 1; }; }
191 # Don't try to exec as it changes $[0], causing all sort of problems
192 # (the dirname of $[0] is not the place where we might find the
193 # original and so on. Autoconf is especially sensitive to this).
194 . "./$as_me.lineno"
195 # Exit status is that of the last command.
196 exit
200 if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
201 as_dirname=dirname
202 else
203 as_dirname=false
206 ECHO_C= ECHO_N= ECHO_T=
207 case `echo -n x` in
208 -n*)
209 case `echo 'x\c'` in
210 *c*) ECHO_T=' ';; # ECHO_T is single tab character.
211 *) ECHO_C='\c';;
212 esac;;
214 ECHO_N='-n';;
215 esac
217 if expr a : '\(a\)' >/dev/null 2>&1 &&
218 test "X`expr 00001 : '.*\(...\)'`" = X001; then
219 as_expr=expr
220 else
221 as_expr=false
224 rm -f conf$$ conf$$.exe conf$$.file
225 if test -d conf$$.dir; then
226 rm -f conf$$.dir/conf$$.file
227 else
228 rm -f conf$$.dir
229 mkdir conf$$.dir
231 echo >conf$$.file
232 if ln -s conf$$.file conf$$ 2>/dev/null; then
233 as_ln_s='ln -s'
234 # ... but there are two gotchas:
235 # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
236 # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
237 # In both cases, we have to default to `cp -p'.
238 ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
239 as_ln_s='cp -p'
240 elif ln conf$$.file conf$$ 2>/dev/null; then
241 as_ln_s=ln
242 else
243 as_ln_s='cp -p'
245 rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
246 rmdir conf$$.dir 2>/dev/null
248 if mkdir -p . 2>/dev/null; then
249 as_mkdir_p=:
250 else
251 test -d ./-p && rmdir ./-p
252 as_mkdir_p=false
255 if test -x / >/dev/null 2>&1; then
256 as_test_x='test -x'
257 else
258 if ls -dL / >/dev/null 2>&1; then
259 as_ls_L_option=L
260 else
261 as_ls_L_option=
263 as_test_x='
264 eval sh -c '\''
265 if test -d "$1"; then
266 test -d "$1/.";
267 else
268 case $1 in
269 -*)set "./$1";;
270 esac;
271 case `ls -ld'$as_ls_L_option' "$1" 2>/dev/null` in
272 ???[sx]*):;;*)false;;esac;fi
273 '\'' sh
276 as_executable_p=$as_test_x
278 # Sed expression to map a string onto a valid CPP name.
279 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
281 # Sed expression to map a string onto a valid variable name.
282 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
285 exec 6>&1
287 # Save the log message, to keep $[0] and so on meaningful, and to
288 # report actual input values of CONFIG_FILES etc. instead of their
289 # values after options handling.
290 ac_log="
291 This file was extended by straw $as_me 0.27.90, which was
292 generated by GNU Autoconf 2.61. Invocation command line was
294 CONFIG_FILES = $CONFIG_FILES
295 CONFIG_HEADERS = $CONFIG_HEADERS
296 CONFIG_LINKS = $CONFIG_LINKS
297 CONFIG_COMMANDS = $CONFIG_COMMANDS
298 $ $0 $@
300 on `(hostname || uname -n) 2>/dev/null | sed 1q`
303 # Files that config.status was made for.
304 config_files=" Makefile data/Makefile data/straw.desktop.in po/Makefile.in scripts/Makefile straw/Makefile straw/defs.py straw/httplib2/Makefile"
305 config_headers=" config.h"
306 config_commands=" depfiles intltool default-1 po/stamp-it"
308 ac_cs_usage="\
309 \`$as_me' instantiates files from templates according to the
310 current configuration.
312 Usage: $0 [OPTIONS] [FILE]...
314 -h, --help print this help, then exit
315 -V, --version print version number and configuration settings, then exit
316 -q, --quiet do not print progress messages
317 -d, --debug don't remove temporary files
318 --recheck update $as_me by reconfiguring in the same conditions
319 --file=FILE[:TEMPLATE]
320 instantiate the configuration file FILE
321 --header=FILE[:TEMPLATE]
322 instantiate the configuration header FILE
324 Configuration files:
325 $config_files
327 Configuration headers:
328 $config_headers
330 Configuration commands:
331 $config_commands
333 Report bugs to <bug-autoconf@gnu.org>."
335 ac_cs_version="\
336 straw config.status 0.27.90
337 configured by ./configure, generated by GNU Autoconf 2.61,
338 with options \"\"
340 Copyright (C) 2006 Free Software Foundation, Inc.
341 This config.status script is free software; the Free Software Foundation
342 gives unlimited permission to copy, distribute and modify it."
344 ac_pwd='/home/ppawel/projects/straw/workspace/straw-git'
345 srcdir='.'
346 INSTALL='/bin/install -c'
347 MKDIR_P='/bin/mkdir -p'
348 # If no file are specified by the user, then we need to provide default
349 # value. By we need to know if files were specified by the user.
350 ac_need_defaults=:
351 while test $# != 0
353 case $1 in
354 --*=*)
355 ac_option=`expr "X$1" : 'X\([^=]*\)='`
356 ac_optarg=`expr "X$1" : 'X[^=]*=\(.*\)'`
357 ac_shift=:
360 ac_option=$1
361 ac_optarg=$2
362 ac_shift=shift
364 esac
366 case $ac_option in
367 # Handling of the options.
368 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
369 ac_cs_recheck=: ;;
370 --version | --versio | --versi | --vers | --ver | --ve | --v | -V )
371 echo "$ac_cs_version"; exit ;;
372 --debug | --debu | --deb | --de | --d | -d )
373 debug=: ;;
374 --file | --fil | --fi | --f )
375 $ac_shift
376 CONFIG_FILES="$CONFIG_FILES $ac_optarg"
377 ac_need_defaults=false;;
378 --header | --heade | --head | --hea )
379 $ac_shift
380 CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
381 ac_need_defaults=false;;
382 --he | --h)
383 # Conflict between --help and --header
384 { echo "$as_me: error: ambiguous option: $1
385 Try \`$0 --help' for more information." >&2
386 { (exit 1); exit 1; }; };;
387 --help | --hel | -h )
388 echo "$ac_cs_usage"; exit ;;
389 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
390 | -silent | --silent | --silen | --sile | --sil | --si | --s)
391 ac_cs_silent=: ;;
393 # This is an error.
394 -*) { echo "$as_me: error: unrecognized option: $1
395 Try \`$0 --help' for more information." >&2
396 { (exit 1); exit 1; }; } ;;
398 *) ac_config_targets="$ac_config_targets $1"
399 ac_need_defaults=false ;;
401 esac
402 shift
403 done
405 ac_configure_extra_args=
407 if $ac_cs_silent; then
408 exec 6>/dev/null
409 ac_configure_extra_args="$ac_configure_extra_args --silent"
412 if $ac_cs_recheck; then
413 echo "running CONFIG_SHELL=/bin/sh /bin/sh ./configure " $ac_configure_extra_args " --no-create --no-recursion" >&6
414 CONFIG_SHELL=/bin/sh
415 export CONFIG_SHELL
416 exec /bin/sh "./configure" $ac_configure_extra_args --no-create --no-recursion
419 exec 5>>config.log
421 echo
422 sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
423 ## Running $as_me. ##
424 _ASBOX
425 echo "$ac_log"
426 } >&5
429 # INIT-COMMANDS
431 AMDEP_TRUE="" ac_aux_dir="."
432 INTLTOOL_PERL='/usr/bin/perl' ac_aux_dir='.'
433 prefix="/usr/local" exec_prefix="${prefix}" INTLTOOL_LIBDIR="${exec_prefix}/lib"
434 INTLTOOL_EXTRACT='$(top_builddir)/intltool-extract'
438 # Handling of arguments.
439 for ac_config_target in $ac_config_targets
441 case $ac_config_target in
442 "config.h") CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
443 "depfiles") CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
444 "intltool") CONFIG_COMMANDS="$CONFIG_COMMANDS intltool" ;;
445 "default-1") CONFIG_COMMANDS="$CONFIG_COMMANDS default-1" ;;
446 "Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;;
447 "data/Makefile") CONFIG_FILES="$CONFIG_FILES data/Makefile" ;;
448 "data/straw.desktop.in") CONFIG_FILES="$CONFIG_FILES data/straw.desktop.in" ;;
449 "po/Makefile.in") CONFIG_FILES="$CONFIG_FILES po/Makefile.in" ;;
450 "scripts/Makefile") CONFIG_FILES="$CONFIG_FILES scripts/Makefile" ;;
451 "straw/Makefile") CONFIG_FILES="$CONFIG_FILES straw/Makefile" ;;
452 "straw/defs.py") CONFIG_FILES="$CONFIG_FILES straw/defs.py" ;;
453 "straw/httplib2/Makefile") CONFIG_FILES="$CONFIG_FILES straw/httplib2/Makefile" ;;
454 "po/stamp-it") CONFIG_COMMANDS="$CONFIG_COMMANDS po/stamp-it" ;;
456 *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
457 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
458 { (exit 1); exit 1; }; };;
459 esac
460 done
463 # If the user did not use the arguments to specify the items to instantiate,
464 # then the envvar interface is used. Set only those that are not.
465 # We use the long form for the default assignment because of an extremely
466 # bizarre bug on SunOS 4.1.3.
467 if $ac_need_defaults; then
468 test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
469 test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
470 test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
473 # Have a temporary directory for convenience. Make it in the build tree
474 # simply because there is no reason against having it here, and in addition,
475 # creating and moving files from /tmp can sometimes cause problems.
476 # Hook for its removal unless debugging.
477 # Note that there is a small window in which the directory will not be cleaned:
478 # after its creation but before its name has been assigned to `$tmp'.
479 $debug ||
481 tmp=
482 trap 'exit_status=$?
483 { test -z "$tmp" || test ! -d "$tmp" || rm -fr "$tmp"; } && exit $exit_status
485 trap '{ (exit 1); exit 1; }' 1 2 13 15
487 # Create a (secure) tmp directory for tmp files.
490 tmp=`(umask 077 && mktemp -d "./confXXXXXX") 2>/dev/null` &&
491 test -n "$tmp" && test -d "$tmp"
492 } ||
494 tmp=./conf$$-$RANDOM
495 (umask 077 && mkdir "$tmp")
496 } ||
498 echo "$me: cannot create a temporary directory in ." >&2
499 { (exit 1); exit 1; }
503 # Set up the sed scripts for CONFIG_FILES section.
506 # No need to generate the scripts if there are no CONFIG_FILES.
507 # This happens for instance when ./config.status config.h
508 if test -n "$CONFIG_FILES"; then
510 cat >"$tmp/subs-1.sed" <<\CEOF
511 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
512 s,@SHELL@,|#_!!_#|/bin/sh,g
513 s,@PATH_SEPARATOR@,|#_!!_#|:,g
514 s,@PACKAGE_NAME@,|#_!!_#|straw,g
515 s,@PACKAGE_TARNAME@,|#_!!_#|straw,g
516 s,@PACKAGE_VERSION@,|#_!!_#|0.27.90,g
517 s,@PACKAGE_STRING@,|#_!!_#|straw 0.27.90,g
518 s,@PACKAGE_BUGREPORT@,|#_!!_#|http://bugzilla.gnome.org/simple-bug-guide.cgi?product=straw ,g
519 s,@exec_prefix@,|#_!!_#|${prefix},g
520 s,@prefix@,|#_!!_#|/usr/local,g
521 s,@program_transform_name@,|#_!!_#|s\,x\,x\,,g
522 s,@bindir@,|#_!!_#|${exec_prefix}/bin,g
523 s,@sbindir@,|#_!!_#|${exec_prefix}/sbin,g
524 s,@libexecdir@,|#_!!_#|${exec_prefix}/libexec,g
525 s,@datarootdir@,|#_!!_#|${prefix}/share,g
526 s,@datadir@,|#_!!_#|${datarootdir},g
527 s,@sysconfdir@,|#_!!_#|${prefix}/etc,g
528 s,@sharedstatedir@,|#_!!_#|${prefix}/com,g
529 s,@localstatedir@,|#_!!_#|${prefix}/var,g
530 s,@includedir@,|#_!!_#|${prefix}/include,g
531 s,@oldincludedir@,|#_!!_#|/usr/include,g
532 s,@docdir@,|#_!!_#|${datarootdir}/doc/${PACKAGE_TARNAME},g
533 s,@infodir@,|#_!!_#|${datarootdir}/info,g
534 s,@htmldir@,|#_!!_#|${docdir},g
535 s,@dvidir@,|#_!!_#|${docdir},g
536 s,@pdfdir@,|#_!!_#|${docdir},g
537 s,@psdir@,|#_!!_#|${docdir},g
538 s,@libdir@,|#_!!_#|${exec_prefix}/lib,g
539 s,@localedir@,|#_!!_#|${datarootdir}/locale,g
540 s,@mandir@,|#_!!_#|${datarootdir}/man,g
541 s,@DEFS@,|#_!!_#|-DHAVE_CONFIG_H,g
542 s,@ECHO_C@,|#_!!_#|,g
543 s,@ECHO_N@,|#_!!_#|-n,g
544 s,@ECHO_T@,|#_!!_#|,g
545 s,@LIBS@,|#_!!_#|,g
546 s,@build_alias@,|#_!!_#|,g
547 s,@host_alias@,|#_!!_#|,g
548 s,@target_alias@,|#_!!_#|,g
549 s,@INSTALL_PROGRAM@,|#_!!_#|${INSTALL},g
550 s,@INSTALL_SCRIPT@,|#_!!_#|${INSTALL},g
551 s,@INSTALL_DATA@,|#_!!_#|${INSTALL} -m 644,g
552 s,@am__isrc@,|#_!!_#|,g
553 s,@CYGPATH_W@,|#_!!_#|echo,g
554 s,@PACKAGE@,|#_!!_#|straw,g
555 s,@VERSION@,|#_!!_#|0.27.90,g
556 s,@ACLOCAL@,|#_!!_#|${SHELL} /home/ppawel/projects/straw/workspace/straw-git/missing --run aclocal-1.10,g
557 s,@AUTOCONF@,|#_!!_#|${SHELL} /home/ppawel/projects/straw/workspace/straw-git/missing --run autoconf,g
558 s,@AUTOMAKE@,|#_!!_#|${SHELL} /home/ppawel/projects/straw/workspace/straw-git/missing --run automake-1.10,g
559 s,@AUTOHEADER@,|#_!!_#|${SHELL} /home/ppawel/projects/straw/workspace/straw-git/missing --run autoheader,g
560 s,@MAKEINFO@,|#_!!_#|${SHELL} /home/ppawel/projects/straw/workspace/straw-git/missing --run makeinfo,g
561 s,@install_sh@,|#_!!_#|$(SHELL) /home/ppawel/projects/straw/workspace/straw-git/install-sh,g
562 s,@STRIP@,|#_!!_#|,g
563 s,@INSTALL_STRIP_PROGRAM@,|#_!!_#|$(install_sh) -c -s,g
564 s,@mkdir_p@,|#_!!_#|/bin/mkdir -p,g
565 s,@AWK@,|#_!!_#|gawk,g
566 s,@SET_MAKE@,|#_!!_#|,g
567 s,@am__leading_dot@,|#_!!_#|.,g
568 s,@AMTAR@,|#_!!_#|${SHELL} /home/ppawel/projects/straw/workspace/straw-git/missing --run tar,g
569 s,@am__tar@,|#_!!_#|${AMTAR} chof - "$$tardir",g
570 s,@am__untar@,|#_!!_#|${AMTAR} xf -,g
571 s,@ACLOCAL_AMFLAGS@,|#_!!_#| -I m4,g
572 s,@MAINTAINER_MODE_TRUE@,|#_!!_#|#,g
573 s,@MAINTAINER_MODE_FALSE@,|#_!!_#|,g
574 s,@MAINT@,|#_!!_#|#,g
575 s,@STRAW_HOME@,|#_!!_#|http://www.gnome.org/projects/straw,g
576 s,@INTLTOOL_DESKTOP_RULE@,|#_!!_#|%.desktop: %.desktop.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@|#_!!_#|,g
577 s,@INTLTOOL_DIRECTORY_RULE@,|#_!!_#|%.directory: %.directory.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@|#_!!_#|,g
578 s,@INTLTOOL_KEYS_RULE@,|#_!!_#|%.keys: %.keys.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -k -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@|#_!!_#|,g
579 s,@INTLTOOL_PROP_RULE@,|#_!!_#|%.prop: %.prop.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@|#_!!_#|,g
580 s,@INTLTOOL_OAF_RULE@,|#_!!_#|%.oaf: %.oaf.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -o -p $(top_srcdir)/po $< $@|#_!!_#|,g
581 s,@INTLTOOL_PONG_RULE@,|#_!!_#|%.pong: %.pong.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@|#_!!_#|,g
582 s,@INTLTOOL_SERVER_RULE@,|#_!!_#|%.server: %.server.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -o -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@|#_!!_#|,g
583 s,@INTLTOOL_SHEET_RULE@,|#_!!_#|%.sheet: %.sheet.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@|#_!!_#|,g
584 s,@INTLTOOL_SOUNDLIST_RULE@,|#_!!_#|%.soundlist: %.soundlist.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@|#_!!_#|,g
585 s,@INTLTOOL_UI_RULE@,|#_!!_#|%.ui: %.ui.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@|#_!!_#|,g
586 s,@INTLTOOL_XAM_RULE@,|#_!!_#|%.xam: %.xml.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@|#_!!_#|,g
587 s,@INTLTOOL_KBD_RULE@,|#_!!_#|%.kbd: %.kbd.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -m -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@|#_!!_#|,g
588 s,@INTLTOOL_XML_RULE@,|#_!!_#|%.xml: %.xml.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@|#_!!_#|,g
589 s,@INTLTOOL_XML_NOMERGE_RULE@,|#_!!_#|%.xml: %.xml.in $(INTLTOOL_MERGE) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u /tmp $< $@|#_!!_#|,g
590 s,@INTLTOOL_CAVES_RULE@,|#_!!_#|%.caves: %.caves.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@|#_!!_#|,g
591 s,@INTLTOOL_SCHEMAS_RULE@,|#_!!_#|%.schemas: %.schemas.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -s -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@|#_!!_#|,g
592 s,@INTLTOOL_THEME_RULE@,|#_!!_#|%.theme: %.theme.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@|#_!!_#|,g
593 s,@INTLTOOL_SERVICE_RULE@,|#_!!_#|%.service: %.service.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -d -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@|#_!!_#|,g
594 s,@INTLTOOL_POLICY_RULE@,|#_!!_#|%.policy: %.policy.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) -x -u -c $(top_builddir)/po/.intltool-merge-cache $(top_srcdir)/po $< $@|#_!!_#|,g
595 s,@INTLTOOL_EXTRACT@,|#_!!_#|$(top_builddir)/intltool-extract,g
596 s,@INTLTOOL_MERGE@,|#_!!_#|$(top_builddir)/intltool-merge,g
597 s,@INTLTOOL_UPDATE@,|#_!!_#|$(top_builddir)/intltool-update,g
598 s,@INTLTOOL_PERL@,|#_!!_#|/usr/bin/perl,g
599 s,@ALL_LINGUAS@,|#_!!_#|,g
600 s,@CC@,|#_!!_#|gcc,g
601 s,@CFLAGS@,|#_!!_#|-g -O2,g
602 s,@LDFLAGS@,|#_!!_#|,g
603 s,@CPPFLAGS@,|#_!!_#|,g
604 s,@ac_ct_CC@,|#_!!_#|gcc,g
605 s,@EXEEXT@,|#_!!_#|,g
606 s,@OBJEXT@,|#_!!_#|o,g
607 s,@DEPDIR@,|#_!!_#|.deps,g
608 s,@am__include@,|#_!!_#|include,g
609 CEOF
610 cat >"$tmp/subs-2.sed" <<\CEOF
611 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b end
612 s,@am__quote@,|#_!!_#|,g
613 s,@AMDEP_TRUE@,|#_!!_#|,g
614 s,@AMDEP_FALSE@,|#_!!_#|#,g
615 s,@AMDEPBACKSLASH@,|#_!!_#|\\,g
616 s,@CCDEPMODE@,|#_!!_#|depmode=none,g
617 s,@am__fastdepCC_TRUE@,|#_!!_#|#,g
618 s,@am__fastdepCC_FALSE@,|#_!!_#|,g
619 s,@DATADIRNAME@,|#_!!_#|share,g
620 s,@GETTEXT_PACKAGE@,|#_!!_#|straw,g
621 s,@CPP@,|#_!!_#|gcc -E,g
622 s,@GREP@,|#_!!_#|/bin/grep,g
623 s,@EGREP@,|#_!!_#|/bin/grep -E,g
624 s,@build@,|#_!!_#|i686-pc-linux-gnu,g
625 s,@build_cpu@,|#_!!_#|i686,g
626 s,@build_vendor@,|#_!!_#|pc,g
627 s,@build_os@,|#_!!_#|linux-gnu,g
628 s,@host@,|#_!!_#|i686-pc-linux-gnu,g
629 s,@host_cpu@,|#_!!_#|i686,g
630 s,@host_vendor@,|#_!!_#|pc,g
631 s,@host_os@,|#_!!_#|linux-gnu,g
632 s,@USE_NLS@,|#_!!_#|yes,g
633 s,@MSGFMT@,|#_!!_#|/usr/bin/msgfmt,g
634 s,@MSGFMT_OPTS@,|#_!!_#|-c,g
635 s,@GMSGFMT@,|#_!!_#|/usr/bin/msgfmt,g
636 s,@XGETTEXT@,|#_!!_#|/usr/bin/xgettext,g
637 s,@CATALOGS@,|#_!!_#|,g
638 s,@CATOBJEXT@,|#_!!_#|.gmo,g
639 s,@GMOFILES@,|#_!!_#|,g
640 s,@INSTOBJEXT@,|#_!!_#|.mo,g
641 s,@INTLLIBS@,|#_!!_#|,g
642 s,@PO_IN_DATADIR_TRUE@,|#_!!_#|,g
643 s,@PO_IN_DATADIR_FALSE@,|#_!!_#|,g
644 s,@POFILES@,|#_!!_#|,g
645 s,@POSUB@,|#_!!_#|po,g
646 s,@MKINSTALLDIRS@,|#_!!_#|./mkinstalldirs,g
647 s,@PKG_CONFIG@,|#_!!_#|/usr/bin/pkg-config,g
648 s,@HELP_DIR@,|#_!!_#|${datadir}/gnome/help,g
649 s,@OMF_DIR@,|#_!!_#|${datadir}/omf,g
650 s,@DOC_USER_FORMATS@,|#_!!_#|,g
651 s,@ENABLE_SK_TRUE@,|#_!!_#|,g
652 s,@ENABLE_SK_FALSE@,|#_!!_#|#,g
653 s,@HAVE_GNOME_DOC_UTILS_TRUE@,|#_!!_#|,g
654 s,@HAVE_GNOME_DOC_UTILS_FALSE@,|#_!!_#|#,g
655 s,@GCONFTOOL@,|#_!!_#|/usr/bin/gconftool-2,g
656 s,@GCONF_SCHEMA_CONFIG_SOURCE@,|#_!!_#|xml:merged:/etc/gconf/gconf.xml.defaults,g
657 s,@GCONF_SCHEMA_FILE_DIR@,|#_!!_#|$(sysconfdir)/gconf/schemas,g
658 s,@GCONF_SCHEMAS_INSTALL_TRUE@,|#_!!_#|,g
659 s,@GCONF_SCHEMAS_INSTALL_FALSE@,|#_!!_#|#,g
660 s,@PYTHON@,|#_!!_#|/usr/bin/python,g
661 s,@PYTHON_VERSION@,|#_!!_#|2.5,g
662 s,@PYTHON_PREFIX@,|#_!!_#|${prefix},g
663 s,@PYTHON_EXEC_PREFIX@,|#_!!_#|${exec_prefix},g
664 s,@PYTHON_PLATFORM@,|#_!!_#|linux2,g
665 s,@pythondir@,|#_!!_#|${prefix}/lib/python2.5/site-packages,g
666 s,@pkgpythondir@,|#_!!_#|${pythondir}/straw,g
667 s,@pyexecdir@,|#_!!_#|${exec_prefix}/lib/python2.5/site-packages,g
668 s,@pkgpyexecdir@,|#_!!_#|${pyexecdir}/straw,g
669 s,@PYTHON_INCLUDES@,|#_!!_#|-I/usr/include/python2.5,g
670 s,@BINDIR@,|#_!!_#|/usr/local/bin,g
671 s,@DATADIR@,|#_!!_#|/usr/local/share,g
672 s,@LIBDIR@,|#_!!_#|/usr/local/lib,g
673 s,@PYTHONDIR@,|#_!!_#|/usr/local/lib/python2.5/site-packages,g
674 s,@STRAW_CFLAGS@,|#_!!_#|-I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pygtk-2.0 -I/usr/include/gnome-python-2.0 ,g
675 s,@STRAW_LIBS@,|#_!!_#|-lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lpango-1.0 -lcairo -lgmodule-2.0 -ldl -lgobject-2.0 -lglib-2.0 ,g
676 s,@LIBOBJS@,|#_!!_#|,g
677 s,@LTLIBOBJS@,|#_!!_#|,g
678 :end
679 s/|#_!!_#|//g
680 CEOF
681 fi # test -n "$CONFIG_FILES"
684 for ac_tag in :F $CONFIG_FILES :H $CONFIG_HEADERS :C $CONFIG_COMMANDS
686 case $ac_tag in
687 :[FHLC]) ac_mode=$ac_tag; continue;;
688 esac
689 case $ac_mode$ac_tag in
690 :[FHL]*:*);;
691 :L* | :C*:*) { { echo "$as_me:$LINENO: error: Invalid tag $ac_tag." >&5
692 echo "$as_me: error: Invalid tag $ac_tag." >&2;}
693 { (exit 1); exit 1; }; };;
694 :[FH]-) ac_tag=-:-;;
695 :[FH]*) ac_tag=$ac_tag:$ac_tag.in;;
696 esac
697 ac_save_IFS=$IFS
698 IFS=:
699 set x $ac_tag
700 IFS=$ac_save_IFS
701 shift
702 ac_file=$1
703 shift
705 case $ac_mode in
706 :L) ac_source=$1;;
707 :[FH])
708 ac_file_inputs=
709 for ac_f
711 case $ac_f in
712 -) ac_f="$tmp/stdin";;
713 *) # Look for the file first in the build tree, then in the source tree
714 # (if the path is not absolute). The absolute path cannot be DOS-style,
715 # because $ac_f cannot contain `:'.
716 test -f "$ac_f" ||
717 case $ac_f in
718 [\\/$]*) false;;
719 *) test -f "$srcdir/$ac_f" && ac_f="$srcdir/$ac_f";;
720 esac ||
721 { { echo "$as_me:$LINENO: error: cannot find input file: $ac_f" >&5
722 echo "$as_me: error: cannot find input file: $ac_f" >&2;}
723 { (exit 1); exit 1; }; };;
724 esac
725 ac_file_inputs="$ac_file_inputs $ac_f"
726 done
728 # Let's still pretend it is `configure' which instantiates (i.e., don't
729 # use $as_me), people would be surprised to read:
730 # /* config.h. Generated by config.status. */
731 configure_input="Generated from "`IFS=:
732 echo $* | sed 's|^[^:]*/||;s|:[^:]*/|, |g'`" by configure."
733 if test x"$ac_file" != x-; then
734 configure_input="$ac_file. $configure_input"
735 { echo "$as_me:$LINENO: creating $ac_file" >&5
736 echo "$as_me: creating $ac_file" >&6;}
739 case $ac_tag in
740 *:-:* | *:-) cat >"$tmp/stdin";;
741 esac
743 esac
745 ac_dir=`$as_dirname -- "$ac_file" ||
746 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
747 X"$ac_file" : 'X\(//\)[^/]' \| \
748 X"$ac_file" : 'X\(//\)$' \| \
749 X"$ac_file" : 'X\(/\)' \| . 2>/dev/null ||
750 echo X"$ac_file" |
751 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
752 s//\1/
755 /^X\(\/\/\)[^/].*/{
756 s//\1/
759 /^X\(\/\/\)$/{
760 s//\1/
763 /^X\(\/\).*/{
764 s//\1/
767 s/.*/./; q'`
768 { as_dir="$ac_dir"
769 case $as_dir in #(
770 -*) as_dir=./$as_dir;;
771 esac
772 test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
773 as_dirs=
774 while :; do
775 case $as_dir in #(
776 *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
777 *) as_qdir=$as_dir;;
778 esac
779 as_dirs="'$as_qdir' $as_dirs"
780 as_dir=`$as_dirname -- "$as_dir" ||
781 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
782 X"$as_dir" : 'X\(//\)[^/]' \| \
783 X"$as_dir" : 'X\(//\)$' \| \
784 X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
785 echo X"$as_dir" |
786 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
787 s//\1/
790 /^X\(\/\/\)[^/].*/{
791 s//\1/
794 /^X\(\/\/\)$/{
795 s//\1/
798 /^X\(\/\).*/{
799 s//\1/
802 s/.*/./; q'`
803 test -d "$as_dir" && break
804 done
805 test -z "$as_dirs" || eval "mkdir $as_dirs"
806 } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
807 echo "$as_me: error: cannot create directory $as_dir" >&2;}
808 { (exit 1); exit 1; }; }; }
809 ac_builddir=.
811 case "$ac_dir" in
812 .) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
814 ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
815 # A ".." for each directory in $ac_dir_suffix.
816 ac_top_builddir_sub=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,/..,g;s,/,,'`
817 case $ac_top_builddir_sub in
818 "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
819 *) ac_top_build_prefix=$ac_top_builddir_sub/ ;;
820 esac ;;
821 esac
822 ac_abs_top_builddir=$ac_pwd
823 ac_abs_builddir=$ac_pwd$ac_dir_suffix
824 # for backward compatibility:
825 ac_top_builddir=$ac_top_build_prefix
827 case $srcdir in
828 .) # We are building in place.
829 ac_srcdir=.
830 ac_top_srcdir=$ac_top_builddir_sub
831 ac_abs_top_srcdir=$ac_pwd ;;
832 [\\/]* | ?:[\\/]* ) # Absolute name.
833 ac_srcdir=$srcdir$ac_dir_suffix;
834 ac_top_srcdir=$srcdir
835 ac_abs_top_srcdir=$srcdir ;;
836 *) # Relative name.
837 ac_srcdir=$ac_top_build_prefix$srcdir$ac_dir_suffix
838 ac_top_srcdir=$ac_top_build_prefix$srcdir
839 ac_abs_top_srcdir=$ac_pwd/$srcdir ;;
840 esac
841 ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix
844 case $ac_mode in
847 # CONFIG_FILE
850 case $INSTALL in
851 [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
852 *) ac_INSTALL=$ac_top_build_prefix$INSTALL ;;
853 esac
854 ac_MKDIR_P=$MKDIR_P
855 case $MKDIR_P in
856 [\\/$]* | ?:[\\/]* ) ;;
857 */*) ac_MKDIR_P=$ac_top_build_prefix$MKDIR_P ;;
858 esac
859 # If the template does not know about datarootdir, expand it.
860 # FIXME: This hack should be removed a few years after 2.60.
861 ac_datarootdir_hack=; ac_datarootdir_seen=
863 case `sed -n '/datarootdir/ {
867 /@datadir@/p
868 /@docdir@/p
869 /@infodir@/p
870 /@localedir@/p
871 /@mandir@/p
872 ' $ac_file_inputs` in
873 *datarootdir*) ac_datarootdir_seen=yes;;
874 *@datadir@*|*@docdir@*|*@infodir@*|*@localedir@*|*@mandir@*)
875 { echo "$as_me:$LINENO: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&5
876 echo "$as_me: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&2;}
877 ac_datarootdir_hack='
878 s&@datadir@&${datarootdir}&g
879 s&@docdir@&${datarootdir}/doc/${PACKAGE_TARNAME}&g
880 s&@infodir@&${datarootdir}/info&g
881 s&@localedir@&${datarootdir}/locale&g
882 s&@mandir@&${datarootdir}/man&g
883 s&\${datarootdir}&${prefix}/share&g' ;;
884 esac
885 sed "/^[ ]*VPATH[ ]*=/{
886 s/:*\$(srcdir):*/:/
887 s/:*\${srcdir}:*/:/
888 s/:*@srcdir@:*/:/
889 s/^\([^=]*=[ ]*\):*/\1/
890 s/:*$//
891 s/^[^=]*=[ ]*$//
895 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
896 s&@configure_input@&$configure_input&;t t
897 s&@top_builddir@&$ac_top_builddir_sub&;t t
898 s&@srcdir@&$ac_srcdir&;t t
899 s&@abs_srcdir@&$ac_abs_srcdir&;t t
900 s&@top_srcdir@&$ac_top_srcdir&;t t
901 s&@abs_top_srcdir@&$ac_abs_top_srcdir&;t t
902 s&@builddir@&$ac_builddir&;t t
903 s&@abs_builddir@&$ac_abs_builddir&;t t
904 s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
905 s&@INSTALL@&$ac_INSTALL&;t t
906 s&@MKDIR_P@&$ac_MKDIR_P&;t t
907 $ac_datarootdir_hack
908 " $ac_file_inputs | sed -f "$tmp/subs-1.sed" | sed -f "$tmp/subs-2.sed" >$tmp/out
910 test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
911 { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&
912 { ac_out=`sed -n '/^[ ]*datarootdir[ ]*:*=/p' "$tmp/out"`; test -z "$ac_out"; } &&
913 { echo "$as_me:$LINENO: WARNING: $ac_file contains a reference to the variable \`datarootdir'
914 which seems to be undefined. Please make sure it is defined." >&5
915 echo "$as_me: WARNING: $ac_file contains a reference to the variable \`datarootdir'
916 which seems to be undefined. Please make sure it is defined." >&2;}
918 rm -f "$tmp/stdin"
919 case $ac_file in
920 -) cat "$tmp/out"; rm -f "$tmp/out";;
921 *) rm -f "$ac_file"; mv "$tmp/out" $ac_file;;
922 esac
926 # CONFIG_HEADER
928 # First, check the format of the line:
929 cat >"$tmp/defines.sed" <<\CEOF
930 /^[ ]*#[ ]*undef[ ][ ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[ ]*$/b def
931 /^[ ]*#[ ]*define[ ][ ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[( ]/b def
933 :def
934 s/$/ /
935 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_NAME\)[ (].*,\1define\2 "straw" ,
936 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_TARNAME\)[ (].*,\1define\2 "straw" ,
937 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_VERSION\)[ (].*,\1define\2 "0.27.90" ,
938 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_STRING\)[ (].*,\1define\2 "straw 0.27.90" ,
939 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_BUGREPORT\)[ (].*,\1define\2 "http://bugzilla.gnome.org/simple-bug-guide.cgi?product=straw " ,
940 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE\)[ (].*,\1define\2 "straw" ,
941 s,^\([ #]*\)[^ ]*\([ ]*VERSION\)[ (].*,\1define\2 "0.27.90" ,
942 s,^\([ #]*\)[^ ]*\([ ]*GETTEXT_PACKAGE\)[ (].*,\1define\2 "straw" ,
943 s,^\([ #]*\)[^ ]*\([ ]*STDC_HEADERS\)[ (].*,\1define\2 1 ,
944 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_TYPES_H\)[ (].*,\1define\2 1 ,
945 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_STAT_H\)[ (].*,\1define\2 1 ,
946 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDLIB_H\)[ (].*,\1define\2 1 ,
947 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRING_H\)[ (].*,\1define\2 1 ,
948 s,^\([ #]*\)[^ ]*\([ ]*HAVE_MEMORY_H\)[ (].*,\1define\2 1 ,
949 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRINGS_H\)[ (].*,\1define\2 1 ,
950 s,^\([ #]*\)[^ ]*\([ ]*HAVE_INTTYPES_H\)[ (].*,\1define\2 1 ,
951 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDINT_H\)[ (].*,\1define\2 1 ,
952 s,^\([ #]*\)[^ ]*\([ ]*HAVE_UNISTD_H\)[ (].*,\1define\2 1 ,
953 s,^\([ #]*\)[^ ]*\([ ]*HAVE_LOCALE_H\)[ (].*,\1define\2 1 ,
954 s,^\([ #]*\)[^ ]*\([ ]*HAVE_LC_MESSAGES\)[ (].*,\1define\2 1 ,
955 s,^\([ #]*\)[^ ]*\([ ]*HAVE_BIND_TEXTDOMAIN_CODESET\)[ (].*,\1define\2 1 ,
956 s,^\([ #]*\)[^ ]*\([ ]*HAVE_GETTEXT\)[ (].*,\1define\2 1 ,
957 s,^\([ #]*\)[^ ]*\([ ]*HAVE_DCGETTEXT\)[ (].*,\1define\2 1 ,
958 s,^\([ #]*\)[^ ]*\([ ]*ENABLE_NLS\)[ (].*,\1define\2 1 ,
959 s/ $//
960 s,^[ #]*u.*,/* & */,
961 CEOF
962 sed -f "$tmp/defines.sed" $ac_file_inputs >"$tmp/out1"
963 ac_result="$tmp/out1"
964 if test x"$ac_file" != x-; then
965 echo "/* $configure_input */" >"$tmp/config.h"
966 cat "$ac_result" >>"$tmp/config.h"
967 if diff $ac_file "$tmp/config.h" >/dev/null 2>&1; then
968 { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
969 echo "$as_me: $ac_file is unchanged" >&6;}
970 else
971 rm -f $ac_file
972 mv "$tmp/config.h" $ac_file
974 else
975 echo "/* $configure_input */"
976 cat "$ac_result"
978 rm -f "$tmp/out12"
979 # Compute $ac_file's index in $config_headers.
980 _am_stamp_count=1
981 for _am_header in $config_headers :; do
982 case $_am_header in
983 $ac_file | $ac_file:* )
984 break ;;
986 _am_stamp_count=`expr $_am_stamp_count + 1` ;;
987 esac
988 done
989 echo "timestamp for $ac_file" >`$as_dirname -- $ac_file ||
990 $as_expr X$ac_file : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
991 X$ac_file : 'X\(//\)[^/]' \| \
992 X$ac_file : 'X\(//\)$' \| \
993 X$ac_file : 'X\(/\)' \| . 2>/dev/null ||
994 echo X$ac_file |
995 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
996 s//\1/
999 /^X\(\/\/\)[^/].*/{
1000 s//\1/
1003 /^X\(\/\/\)$/{
1004 s//\1/
1007 /^X\(\/\).*/{
1008 s//\1/
1011 s/.*/./; q'`/stamp-h$_am_stamp_count
1014 :C) { echo "$as_me:$LINENO: executing $ac_file commands" >&5
1015 echo "$as_me: executing $ac_file commands" >&6;}
1017 esac
1020 case $ac_file$ac_mode in
1021 "depfiles":C) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
1022 # Strip MF so we end up with the name of the file.
1023 mf=`echo "$mf" | sed -e 's/:.*$//'`
1024 # Check whether this is an Automake generated Makefile or not.
1025 # We used to match only the files named `Makefile.in', but
1026 # some people rename them; so instead we look at the file content.
1027 # Grep'ing the first line is not enough: some people post-process
1028 # each Makefile.in and add a new line on top of each file to say so.
1029 # Grep'ing the whole file is not good either: AIX grep has a line
1030 # limit of 2048, but all sed's we know have understand at least 4000.
1031 if sed 10q "$mf" | grep '^#.*generated by automake' > /dev/null 2>&1; then
1032 dirpart=`$as_dirname -- "$mf" ||
1033 $as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1034 X"$mf" : 'X\(//\)[^/]' \| \
1035 X"$mf" : 'X\(//\)$' \| \
1036 X"$mf" : 'X\(/\)' \| . 2>/dev/null ||
1037 echo X"$mf" |
1038 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1039 s//\1/
1042 /^X\(\/\/\)[^/].*/{
1043 s//\1/
1046 /^X\(\/\/\)$/{
1047 s//\1/
1050 /^X\(\/\).*/{
1051 s//\1/
1054 s/.*/./; q'`
1055 else
1056 continue
1058 # Extract the definition of DEPDIR, am__include, and am__quote
1059 # from the Makefile without running `make'.
1060 DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
1061 test -z "$DEPDIR" && continue
1062 am__include=`sed -n 's/^am__include = //p' < "$mf"`
1063 test -z "am__include" && continue
1064 am__quote=`sed -n 's/^am__quote = //p' < "$mf"`
1065 # When using ansi2knr, U may be empty or an underscore; expand it
1066 U=`sed -n 's/^U = //p' < "$mf"`
1067 # Find all dependency output files, they are included files with
1068 # $(DEPDIR) in their names. We invoke sed twice because it is the
1069 # simplest approach to changing $(DEPDIR) to its actual value in the
1070 # expansion.
1071 for file in `sed -n "
1072 s/^$am__include $am__quote\(.*(DEPDIR).*\)$am__quote"'$/\1/p' <"$mf" | \
1073 sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
1074 # Make sure the directory exists.
1075 test -f "$dirpart/$file" && continue
1076 fdir=`$as_dirname -- "$file" ||
1077 $as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1078 X"$file" : 'X\(//\)[^/]' \| \
1079 X"$file" : 'X\(//\)$' \| \
1080 X"$file" : 'X\(/\)' \| . 2>/dev/null ||
1081 echo X"$file" |
1082 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1083 s//\1/
1086 /^X\(\/\/\)[^/].*/{
1087 s//\1/
1090 /^X\(\/\/\)$/{
1091 s//\1/
1094 /^X\(\/\).*/{
1095 s//\1/
1098 s/.*/./; q'`
1099 { as_dir=$dirpart/$fdir
1100 case $as_dir in #(
1101 -*) as_dir=./$as_dir;;
1102 esac
1103 test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
1104 as_dirs=
1105 while :; do
1106 case $as_dir in #(
1107 *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
1108 *) as_qdir=$as_dir;;
1109 esac
1110 as_dirs="'$as_qdir' $as_dirs"
1111 as_dir=`$as_dirname -- "$as_dir" ||
1112 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1113 X"$as_dir" : 'X\(//\)[^/]' \| \
1114 X"$as_dir" : 'X\(//\)$' \| \
1115 X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
1116 echo X"$as_dir" |
1117 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1118 s//\1/
1121 /^X\(\/\/\)[^/].*/{
1122 s//\1/
1125 /^X\(\/\/\)$/{
1126 s//\1/
1129 /^X\(\/\).*/{
1130 s//\1/
1133 s/.*/./; q'`
1134 test -d "$as_dir" && break
1135 done
1136 test -z "$as_dirs" || eval "mkdir $as_dirs"
1137 } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
1138 echo "$as_me: error: cannot create directory $as_dir" >&2;}
1139 { (exit 1); exit 1; }; }; }
1140 # echo "creating $dirpart/$file"
1141 echo '# dummy' > "$dirpart/$file"
1142 done
1143 done
1145 "intltool":C)
1147 for file in intltool-extract intltool-merge intltool-update; do
1148 sed -e "s|@INTLTOOL_EXTRACT@|`pwd`/intltool-extract|g" \
1149 -e "s|@INTLTOOL_LIBDIR@|${INTLTOOL_LIBDIR}|g" \
1150 -e "s|@INTLTOOL_PERL@|${INTLTOOL_PERL}|g" \
1151 < ${ac_aux_dir}/${file}.in > ${file}.out
1152 if cmp -s ${file} ${file}.out 2>/dev/null; then
1153 rm -f ${file}.out
1154 else
1155 mv -f ${file}.out ${file}
1157 chmod ugo+x ${file}
1158 chmod u+w ${file}
1159 done
1162 "default-1":C) case "$CONFIG_FILES" in *po/Makefile.in*)
1163 sed -e "/POTFILES =/r po/POTFILES" po/Makefile.in > po/Makefile
1164 esac ;;
1165 "po/stamp-it":C)
1166 rm -f "po/stamp-it" "po/stamp-it.tmp" "po/POTFILES" "po/Makefile.tmp"
1167 >"po/stamp-it.tmp"
1168 sed '/^#/d
1169 s/^[[].*] *//
1170 /^[ ]*$/d
1171 '"s|^| $ac_top_srcdir/|" \
1172 "$srcdir/po/POTFILES.in" | sed '$!s/$/ \\/' >"po/POTFILES"
1174 if test ! -f "po/Makefile"; then
1175 { { echo "$as_me:$LINENO: error: po/Makefile is not ready." >&5
1176 echo "$as_me: error: po/Makefile is not ready." >&2;}
1177 { (exit 1); exit 1; }; }
1179 mv "po/Makefile" "po/Makefile.tmp"
1180 sed '/^POTFILES =/,/[^\\]$/ {
1181 /^POTFILES =/!d
1182 r po/POTFILES
1184 ' "po/Makefile.tmp" >"po/Makefile"
1185 rm -f "po/Makefile.tmp"
1186 mv "po/stamp-it.tmp" "po/stamp-it"
1189 esac
1190 done # for ac_tag
1193 { (exit 0); exit 0; }